package cn.newfeifan.mall.module.trade.enums.wxmessage;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 自定义的微信消息模板枚举
 */
@Getter
@RequiredArgsConstructor
public enum WcChatMessageTemplateIdEnum {

    ORDER_DELIVERY("1","订单发货通知"),
    AFTER_SALE_CHECK("2","售后订单审核通知"),
    AFTER_SALE_NO_CHECK("3","售后订单待审核通知"),
    ORDER_NO_DELIVERY("4","订单出货提醒"),
    //下面是常来此购的
    ORDER_DELIVERY2("5","订单发货通知"),
    AFTER_SALE_CHECK2("6","售后订单审核通知"),
    AFTER_SALE_NO_CHECK2("7","售后订单待审核通知"),
    ORDER_NO_DELIVERY2("8","订单出货提醒"),
    MERCHANT_APPLY_CHECK("9","商户入驻申请审批通知"),
    MERCHANT_APPLY_CHECK_RESULT("10","商户入驻审核结果通知");

    private final String templateId;
    private final String name;
}
